/* start module: DissolvingPopup */
$pyjs['loaded_modules']['DissolvingPopup'] = function (__mod_name__) {
	if($pyjs['loaded_modules']['DissolvingPopup']['__was_initialized__']) return $pyjs['loaded_modules']['DissolvingPopup'];
	var $m = $pyjs['loaded_modules']['DissolvingPopup'];
	$m['__repr__'] = function() { return '<module: DissolvingPopup>'; };
	$m['__was_initialized__'] = true;
	if ((__mod_name__ === null) || (typeof __mod_name__ == 'undefined')) __mod_name__ = 'DissolvingPopup';
	$m['__name__'] = __mod_name__;


	$m['Calendar'] = $p['___import___']('pyjamas.ui.Calendar.Calendar', null, null, false);
	$m['DateField'] = $p['___import___']('pyjamas.ui.Calendar.DateField', null, null, false);
	$m['RootPanel'] = $p['___import___']('pyjamas.ui.RootPanel.RootPanel', null, null, false);
	$m['VerticalPanel'] = $p['___import___']('pyjamas.ui.VerticalPanel.VerticalPanel', null, null, false);
	$m['HorizontalPanel'] = $p['___import___']('pyjamas.ui.HorizontalPanel.HorizontalPanel', null, null, false);
	$m['SimplePanel'] = $p['___import___']('pyjamas.ui.SimplePanel.SimplePanel', null, null, false);
	$m['DisclosurePanel'] = $p['___import___']('pyjamas.ui.DisclosurePanel.DisclosurePanel', null, null, false);
	$m['DialogBox'] = $p['___import___']('pyjamas.ui.DialogBox.DialogBox', null, null, false);
	$m['TabPanel'] = $p['___import___']('pyjamas.ui.TabPanel.TabPanel', null, null, false);
	$m['Grid'] = $p['___import___']('pyjamas.ui.Grid.Grid', null, null, false);
	$m['Frame'] = $p['___import___']('pyjamas.ui.Frame.Frame', null, null, false);
	$m['TextBox'] = $p['___import___']('pyjamas.ui.TextBox.TextBox', null, null, false);
	$m['TextArea'] = $p['___import___']('pyjamas.ui.TextArea.TextArea', null, null, false);
	$m['HTML'] = $p['___import___']('pyjamas.ui.HTML.HTML', null, null, false);
	$m['FlexTable'] = $p['___import___']('pyjamas.ui.FlexTable.FlexTable', null, null, false);
	$m['FlexCellFormatter'] = $p['___import___']('pyjamas.ui.FlexCellFormatter.FlexCellFormatter', null, null, false);
	$m['Label'] = $p['___import___']('pyjamas.ui.Label.Label', null, null, false);
	$m['CheckBox'] = $p['___import___']('pyjamas.ui.CheckBox.CheckBox', null, null, false);
	$m['ListBox'] = $p['___import___']('pyjamas.ui.ListBox.ListBox', null, null, false);
	$m['Button'] = $p['___import___']('pyjamas.ui.Button.Button', null, null, false);
	$m['ToggleButton'] = $p['___import___']('pyjamas.ui.ToggleButton.ToggleButton', null, null, false);
	$m['PopupPanel'] = $p['___import___']('pyjamas.ui.PopupPanel.PopupPanel', null, null, false);
	$m['KeyboardHandler'] = $p['___import___']('pyjamas.ui.KeyboardListener.KeyboardHandler', null, null, false);
	$m['FocusHandler'] = $p['___import___']('pyjamas.ui.FocusListener.FocusHandler', null, null, false);
	$m['Tree'] = $p['___import___']('pyjamas.ui.Tree.Tree', null, null, false);
	$m['TreeItem'] = $p['___import___']('pyjamas.ui.Tree.TreeItem', null, null, false);
	$m['Image'] = $p['___import___']('pyjamas.ui.Image.Image', null, null, false);
	$m['HasAlignment'] = $p['___import___']('pyjamas.ui.HasAlignment', null, null, false);
	$m['MenuBar'] = $p['___import___']('pyjamas.ui.MenuBar.MenuBar', null, null, false);
	$m['MenuItem'] = $p['___import___']('pyjamas.ui.MenuItem.MenuItem', null, null, false);
	$m['Widget'] = $p['___import___']('pyjamas.ui.Widget.Widget', null, null, false);
	$m['Hyperlink'] = $p['___import___']('pyjamas.ui.Hyperlink.Hyperlink', null, null, false);
	$m['Window'] = $p['___import___']('pyjamas.Window', null, null, false);
	$m['Timer'] = $p['___import___']('pyjamas.Timer.Timer', null, null, false);
	$m['JSONProxy'] = $p['___import___']('pyjamas.JSONService.JSONProxy', null, null, false);
	$m['HasAlignment'] = $p['___import___']('pyjamas.ui.HasAlignment', null, null, false);
	$m['prnt'] = $p['___import___']('prnt.prnt', null, null, false);
	$m['DissolvingPopup'] = (function(){
		var $cls_definition = new Object();
		var $method;
		$cls_definition['__module__'] = 'DissolvingPopup';
		$cls_definition['old_dp'] = null;
		$method = $pyjs__bind_method2('__init__', function(s, error) {
			if (this['__is_instance__'] === true) {
				var self = this;
			} else {
				var self = arguments[0];
				s = arguments[1];
				error = arguments[2];
			}
			if (typeof error == 'undefined') error=arguments['callee']['__args__'][4][1];

			$pyjs_kwargs_call($m['PopupPanel'], '__init__', null, null, [{'autoHide':false, 'modal':false, 'glass':true}, self]);
			self['hp'] = $m['HorizontalPanel']();
			self['d1'] = $m['HTML']('');
			self['d2'] = $m['HTML']('');
			self['add']($p['getattr'](self, 'hp'));
			self['hp']['add']($p['getattr'](self, 'd1'));
			self['hp']['setCellWidth']($p['getattr'](self, 'd1'), '50%');
			self['html'] = $m['HTML'](s);
			self['html']['setWordWrap'](false);
			self['html']['setHorizontalAlignment']($p['getattr']($m['HasAlignment'], 'ALIGN_CENTER'));
			if ($p['bool'](!$p['bool'](error))) {
				self['html']['setStyleName']('showcase-popup');
			}
			else {
				self['html']['setStyleName']('showcase-popup-error');
			}
			self['hp']['add']($p['getattr'](self, 'html'));
			self['hp']['add']($p['getattr'](self, 'd2'));
			self['hp']['setCellWidth']($p['getattr'](self, 'd2'), '50%');
			self['setPopupPosition'](0, 0);
			self['setWidth']('100%');
			if ($p['bool'](($p['getattr']($m['DissolvingPopup'], 'old_dp') !== null))) {
				$m['DissolvingPopup']['old_dp']['hide']();
			}
			$m['DissolvingPopup']['old_dp'] = self;
			self['setGlassPosition']();
			self['show']();
			self['timer'] = $m['Timer'](5000, self);
			return null;
		}
	, 1, [null,null,['self'],['s'],['error', false]]);
		$cls_definition['__init__'] = $method;
		$method = $pyjs__bind_method2('setGlassPosition', function() {
			if (this['__is_instance__'] === true) {
				var self = this;
			} else {
				var self = arguments[0];
			}
			var width,height,top,left;
			top = $m['Window']['getScrollTop']();
			left = $m['Window']['getScrollLeft']();
			height = $m['Window']['getClientHeight']();
			width = $m['Window']['getClientWidth']();
			self['setPopupPosition'](left, top);
			return null;
		}
	, 1, [null,null,['self']]);
		$cls_definition['setGlassPosition'] = $method;
		$method = $pyjs__bind_method2('onTimer', function(t) {
			if (this['__is_instance__'] === true) {
				var self = this;
			} else {
				var self = arguments[0];
				t = arguments[1];
			}

			self['hide']();
			$m['DissolvingPopup']['old_dp'] = null;
			return null;
		}
	, 1, [null,null,['self'],['t']]);
		$cls_definition['onTimer'] = $method;
		var $bases = new Array($m['PopupPanel']);
		var $data = $p['dict']();
		for (var $item in $cls_definition) { $data['__setitem__']($item, $cls_definition[$item]); }
		return $p['_create_class']('DissolvingPopup', $p['tuple']($bases), $data);
	})();
	return this;
}; /* end DissolvingPopup */


/* end module: DissolvingPopup */


/*
PYJS_DEPS: ['pyjamas.ui.Calendar.Calendar', 'pyjamas', 'pyjamas.ui', 'pyjamas.ui.Calendar', 'pyjamas.ui.Calendar.DateField', 'pyjamas.ui.RootPanel.RootPanel', 'pyjamas.ui.RootPanel', 'pyjamas.ui.VerticalPanel.VerticalPanel', 'pyjamas.ui.VerticalPanel', 'pyjamas.ui.HorizontalPanel.HorizontalPanel', 'pyjamas.ui.HorizontalPanel', 'pyjamas.ui.SimplePanel.SimplePanel', 'pyjamas.ui.SimplePanel', 'pyjamas.ui.DisclosurePanel.DisclosurePanel', 'pyjamas.ui.DisclosurePanel', 'pyjamas.ui.DialogBox.DialogBox', 'pyjamas.ui.DialogBox', 'pyjamas.ui.TabPanel.TabPanel', 'pyjamas.ui.TabPanel', 'pyjamas.ui.Grid.Grid', 'pyjamas.ui.Grid', 'pyjamas.ui.Frame.Frame', 'pyjamas.ui.Frame', 'pyjamas.ui.TextBox.TextBox', 'pyjamas.ui.TextBox', 'pyjamas.ui.TextArea.TextArea', 'pyjamas.ui.TextArea', 'pyjamas.ui.HTML.HTML', 'pyjamas.ui.HTML', 'pyjamas.ui.FlexTable.FlexTable', 'pyjamas.ui.FlexTable', 'pyjamas.ui.FlexCellFormatter.FlexCellFormatter', 'pyjamas.ui.FlexCellFormatter', 'pyjamas.ui.Label.Label', 'pyjamas.ui.Label', 'pyjamas.ui.CheckBox.CheckBox', 'pyjamas.ui.CheckBox', 'pyjamas.ui.ListBox.ListBox', 'pyjamas.ui.ListBox', 'pyjamas.ui.Button.Button', 'pyjamas.ui.Button', 'pyjamas.ui.ToggleButton.ToggleButton', 'pyjamas.ui.ToggleButton', 'pyjamas.ui.PopupPanel.PopupPanel', 'pyjamas.ui.PopupPanel', 'pyjamas.ui.KeyboardListener.KeyboardHandler', 'pyjamas.ui.KeyboardListener', 'pyjamas.ui.FocusListener.FocusHandler', 'pyjamas.ui.FocusListener', 'pyjamas.ui.Tree.Tree', 'pyjamas.ui.Tree', 'pyjamas.ui.Tree.TreeItem', 'pyjamas.ui.Image.Image', 'pyjamas.ui.Image', 'pyjamas.ui.HasAlignment', 'pyjamas.ui.MenuBar.MenuBar', 'pyjamas.ui.MenuBar', 'pyjamas.ui.MenuItem.MenuItem', 'pyjamas.ui.MenuItem', 'pyjamas.ui.Widget.Widget', 'pyjamas.ui.Widget', 'pyjamas.ui.Hyperlink.Hyperlink', 'pyjamas.ui.Hyperlink', 'pyjamas.Window', 'pyjamas.Timer.Timer', 'pyjamas.Timer', 'pyjamas.JSONService.JSONProxy', 'pyjamas.JSONService', 'prnt.prnt', 'prnt']
*/
